Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet.impl
Class FacetImpl

    java.lang.Object
      EClassImpl
          org.eclipse.gmt.modisco.infra.facet.impl.FacetImpl

All Implemented Interfaces:
  Facet

    public class FacetImpl

extends EClassImpl
implements Facet

An implementation of the model object 'Facet'.

The following features are implemented:

- `Condition Query`
- `Facet Set`

Method Summary
`ModelQuery` | `basicGetConditionQuery()`
`FacetSet` | `basicGetFacetSet()`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`ModelQuery` | `getConditionQuery()`
`FacetSet` | `getFacetSet()`
`boolean` | `isSetFacetSet()`
`void` | `setConditionQuery(ModelQuery newConditionQuery)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getConditionQuery

    public ModelQuery getConditionQuery()

  Specified by:
    `getConditionQuery` in interface `Facet`
  Returns:
    the value of the 'Condition Query' reference.
  See Also:
    `Facet.setConditionQuery(ModelQuery)`, `FacetPackage.getFacet_ConditionQuery()`

### basicGetConditionQuery

    public ModelQuery basicGetConditionQuery()

### setConditionQuery

    public void setConditionQuery(ModelQuery newConditionQuery)

  Specified by:
    `setConditionQuery` in interface `Facet`
  Parameters:
    `newConditionQuery` - the new value of the 'Condition Query' reference.
  See Also:
    `Facet.getConditionQuery()`

### getFacetSet

    public FacetSet getFacetSet()

  Specified by:
    `getFacetSet` in interface `Facet`
  Returns:
    the value of the 'Facet Set' reference.
  See Also:
    `Facet.isSetFacetSet()`, `FacetPackage.getFacet_FacetSet()`, `FacetSet.getFacets()`

### basicGetFacetSet

    public FacetSet basicGetFacetSet()

### isSetFacetSet

    public boolean isSetFacetSet()

  Specified by:
    `isSetFacetSet` in interface `Facet`
  Returns:
    whether the value of the 'Facet Set' reference is set.
  See Also:
    `Facet.getFacetSet()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD